v.autocorr(1)	       Grass User's Manual	    v.autocorr(1)



NNAAMMEE
       vv..aauuttooccoorrrr  - Calculate spatial autocorrelation statistics
       for GRASS vector file.
       _(_G_R_A_S_S _V_e_c_t_o_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       vv..aauuttooccoorrrr
       vv..aauuttooccoorrrr hheellpp
       vv..aauuttooccoorrrr [--cchhnnqqww] vveecctt==_n_a_m_e [oouuttppuutt==_n_a_m_e]

DDEESSCCRRIIPPTTIIOONN
       _v_._a_u_t_o_c_o_r_r uses a labeled binary vector	file  (vect=_n_a_m_e)
       to calculate spatial autocorrelation statistics for areas.
       The output may either be printed to the screen or saved to
       a file (vect=_n_a_m_e).



   FFllaaggss::
       --cc     Print the connectivity matrix.

       --ww     Print  the  weight  matrix  (a re-expression of the
	      connectivity matrix).

       --nn     Suppress calculation  of	statistics.  Useful  when
	      used with --cc or --ww.

       --hh     Do  calculations	for  hypothesis testing. Warning:
	      this is intensive!

       --qq     Quiet. Cut out the chatter.




   PPaarraammeetteerrss::
       vveecctt==_n_a_m_e
	      Name of a labeled binary vector  file.   The  cate-
	      gories values must be numeric.

       oouuttppuutt==_n_a_m_e
	      Name of the output file.



       _v_._a_u_t_o_c_o_r_r can be run either non-interactively or interac-
       tively.	The program will be run non-interactively if  the
       user specifies the name of a labeled binary vector file.


       Alternately,  the  user	can simply type vv..aauuttooccoorrrr on the
       command line, without program arguments.   In  this  case,
       the  user  will be prompted for parameter values using the
       standard GRASS parser interface described  in  the  manual
       entry for _p_a_r_s_e_r.

SSEEEE AALLSSOO
       _s_._v_o_r_o_n_o_i

       _v_._s_t_a_t_s

       _p_a_r_s_e_r



       Daniel  A. Griffith, (1987).  _S_p_a_t_i_a_l _A_u_t_o_c_o_r_r_e_l_a_t_i_o_n  _- _A
       _P_r_i_m_e_r_.	Association of American Geographers.
       _R_A_N_L_I_B_._C

       a library of C routines for random number generation  com-
       piled  and  written  by Barry W. Brown and James Lovato of
       the M.D. Anderson  Cancer  Center  at  the  University  of
       Texas, was adapted for use by this program.

BBUUGGSS
       The --ww flag does not work yet.
       This  program  only  works  for fully labeled vector files
       (with sequential categories beginning  with  1).  I  don't
       know what it will do in any other situation.
       Please send all bug fixes and comments to the author.

AAUUTTHHOORR
       James  Darrell  McCauley, Agricultural Engineering, Purdue
       University

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_5 _$



GRASS 5.0					    v.autocorr(1)
